#ifndef CKEYBOARD_H
#define CKEYBOARD_H

#include <QObject>
#include <QEvent>

class CKeyboard : public QObject
{
    Q_OBJECT

public:
    enum EKeys
    {
        eForward = 0,
        eBackward,
        eLeft,
        eRight,
        eTurnLeft,
        eTurnRight,
        ePause,
        eKeyCount
    };

    virtual bool eventFilter(QObject *object, QEvent *event)override;
    void    update();

    bool    keys[eKeyCount];

private:
    bool    tempKeys[eKeyCount];
};

extern CKeyboard    keyboard;

#endif // CKEYBOARD_H
